Subject: bug#70854: closed (Re: [bug#70854] [PATCH] gnu: cgit: Update to dbadd856ba0537110338cfe58256b152d01388c0.)

From: [email-masked] (GNU bug Tracking System)
Date: Mon, 13 May 2024 20:51:04 +0000

Your bug report

#70854: [PATCH] gnu: cgit: Update to dbadd856ba0537110338cfe58256b152d01388c0.

which was filed against the guix-patches package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
70854: https://debbugs.gnu.org/cgi/bugreport.cgi?bug=70854
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: [bug#70854] [PATCH] gnu: cgit: Update to dbadd856ba0537110338cfe58256b152d01388c0.
From: Christopher Baines <[email-masked]>
To: Tomas Volf <[email-masked]>
Cc: [email-masked]
Date: Mon, 13 May 2024 21:50:23 +0100
List-Id: <debbugs-submit.debbugs.gnu.org>

Tomas Volf <[email-masked]> writes:

> * gnu/packages/version-control.scm (cgit): Update to
> dbadd856ba0537110338cfe58256b152d01388c0.
>
> Change-Id: I41827d1d97f28be71af5532b554d6b7a5e1123cc
> ---
> I tested the new version including syntax highlight.  It is running on my server
> right now and seems to work fine.
>
>  gnu/packages/version-control.scm | 10 +++++-----
>  1 file changed, 5 insertions(+), 5 deletions(-)

I've tweaked the commit message to use the package version, rather than
full commit, and pushed this to master as
b8c0bdea4ec0074b9efef31a4dc928f0298f0022.

Chris

Subject: [PATCH] gnu: cgit: Update to dbadd856ba0537110338cfe58256b152d01388c0.
From: Tomas Volf <[email-masked]>
To: [email-masked]
Cc: Tomas Volf <[email-masked]>
Date: Fri, 10 May 2024 00:38:14 +0200
List-Id: <debbugs-submit.debbugs.gnu.org>

* gnu/packages/version-control.scm (cgit): Update to
dbadd856ba0537110338cfe58256b152d01388c0.

Change-Id: I41827d1d97f28be71af5532b554d6b7a5e1123cc
---
I tested the new version including syntax highlight.  It is running on my server
right now and seems to work fine.

 gnu/packages/version-control.scm | 10 +++++-----
 1 file changed, 5 insertions(+), 5 deletions(-)

diff --git a/gnu/packages/version-control.scm b/gnu/packages/version-control.scm
index 2567acd2af..c01eb9decd 100644
--- a/gnu/packages/version-control.scm
+++ b/gnu/packages/version-control.scm
@@ -1131,8 +1131,8 @@ (define-public git-remote-gcrypt
    (license license:gpl3+)))

 (define-public cgit
-  (let ((commit "8905003cba637e5b18069e625cd4f4c05ac30251")
-        (rev "2"))
+  (let ((commit "dbadd856ba0537110338cfe58256b152d01388c0")
+        (rev "3"))
     (package
       (name "cgit")
       ;; Update the ‘git-source’ input as well.
@@ -1144,7 +1144,7 @@ (define-public cgit
                       (commit commit)))
                 (sha256
                  (base32
-                  "1ha8d2n59mv89vv4bqgg3dk82n1rqh8kd8y654vqx7v1v7m645qz"))
+                  "1r9mafmjgi3hknv88a1ypym6qvy2qzs1i3n6z22ddg8q4sb1wjvk"))
                 (file-name (git-file-name name version))))
       (build-system gnu-build-system)
       (arguments
@@ -1220,9 +1220,9 @@ (define-public cgit
              (method url-fetch)
              ;; cgit is tightly bound to git.  Use GIT_VER from the Makefile,
              ;; which may not match the current (package-version git).
-             (uri "mirror://kernel.org/software/scm/git/git-2.44.0.tar.xz")
+             (uri "mirror://kernel.org/software/scm/git/git-2.45.0.tar.xz")
              (sha256
-              (base32 "1qqxd3pdsca6m93lxxkz9s06xs1sq0ah02lhrr0a6pjvrf6p6n73"))))
+              (base32 "0a9ljpjypszj9cxq5lk9zq8bq9v87h9fn9ph3zgyfxk4s05j1b0a"))))
          ("bash-minimal" ,bash-minimal)
          ("openssl" ,openssl)
          ("python" ,python)
--
2.41.0